package com.tcctlo.law.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 开票记录表
 * </p>
 *
 * @author 
 * @since 2025-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("invoice_record")
public class InvoiceRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联案件 ID
     */
    private Long caseId;

    /**
     * 开票日期
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date invoiceDate;

    /**
     * 开票金额
     */
    private BigDecimal invoiceMoney;

    /**
     * 发票 OSS 地址
     */
    private String invoiceFileUrl;

    /**
     * 开票人ID
     */
    private Long invoiceUserId;

    /**
     * 开票人名称
     */
    private String invoiceUserName;

    /**
     * 开票状态【未开票：0，已开票：计算当前案件已开票的金额返回】
     */
    private String invoiceStatus;

    /**
     * 状态【0：正常，1：停用】
     */
    private Integer status;

    /**
     * 删除标志【0：未删除，1：已删除】
     */
    private Integer delFlag;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * 备注
     */
    private String remake;

}
