package com.tcctlo.law.mapper;

import com.tcctlo.law.entity.DemandPaymentRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 金额催收记录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2025-02-27
 */
public interface DemandPaymentRecordMapper extends BaseMapper<DemandPaymentRecord> {

    /**
     * 根据案件ID查询催收记录
     * @param caseId 案件ID
     * @return 催收记录
     */
    List<DemandPaymentRecord> selectByCaseId(@Param("caseId") Long caseId);

    /**
     * 设置催费消息已读
     * @param caseId 案件ID
     * @param ids 消息ID集合
     * @return 结果集
     */
    int setRead(@Param("caseId") Long caseId, @Param("ids") List<Long> ids);
}
