package com.tcctlo.law.service;

import com.tcctlo.law.entity.InvoiceRecord;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctlo.law.vo.InvoiceRecordVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 开票记录表 服务类
 * </p>
 *
 * @author 
 * @since 2025-03-07
 */
public interface IInvoiceRecordService {
        
    /**
    * <p>
    * 分页列表查询
    * </p>
    * @param pageNo
    * @param pageSize
    * @return
    */
    Page<InvoiceRecord> list(Integer pageNo, Integer pageSize);
        
    /**
    * <p>
    * 详情接口
    * </p>
    * @param id
    * @return
    */
    InvoiceRecord getById(Long id);

    /**
    * <p>
    * 新增接口
    * </p>
    * @param invoiceRecord
    * @return
    */
    Boolean create(InvoiceRecordVO invoiceRecord);
        
        
    /**
    * <p>
    * 删除接口
    * </p>
    * @param id
    * @return
    */
    Integer delete(Long id);

    /**
    * <p>
    * 更新接口
    * </p>
    * @param invoiceRecord
    * @return
    */
    Integer update(InvoiceRecord invoiceRecord);

    /**
     * 批量逻辑删除
     * @param params 参数
     * @return 是否删除成功
     */
    Integer deleteBatch(Map<String, String> params);

    /**
     * 根据案件ID获取开票记录
     * @return 结果集
     */
    List<InvoiceRecordVO> selectByCaseId(Long caseId);

}
