package com.tcctlo.law.vo;

import com.tcctlo.law.entity.CaseInformation;
import com.tcctlo.law.entity.DemandPaymentRecord;
import com.tcctlo.law.entity.FileManager;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 案件列表VO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CaseInformationListVO extends CaseInformation {

    /**
     * 案件未收款的金额
     */
    private BigDecimal uncollectedMoney;

    /**
     * 案件发票
     * 已开票金额：根据案件ID查询开票记录，将金额累加范湖
     * 未开票：直接返回0
     */
    private String invoiceStatus;

    /**
     * 委托方
     */
    private String entrustingParty;

    /**
     * 相对方
     */
    private String opposite;

    /**
     * 代理律师
     */
    private String attorneyAgent;

    /**
     * 协办律师
     */
    private String assistingLawyer;

    /**
     * 当前案件是否包含相关文件
     * 主要用于前端来判断是否显示下载按钮
     */
    private Boolean fileFlag;

    /**
     * 案件相关文件列表
     */
    private List<FileManager> fileList;

    /**
     * 催款记录
     */
    private List<DemandPaymentRecord> demandPaymentRecordList;




}
